Bug 531199 - asterisk: ACL not respected on SIP INVITE (AST-2009-007)
asterisk: ACL not respected on SIP INVITE (AST-2009-007)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,source=gentoo,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-27 05:04 EDT by Tomas Hoger
Modified: 2010-03-22 14:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-22 14:52:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-10-27 05:04:31 EDT
Quoting upstream advisory AST-2009-007:

  http://downloads.asterisk.org/pub/security/AST-2009-007.html

  A missing ACL check for handling SIP INVITEs allows a device to make calls
  on networks intended to be prohibited as defined by the "deny" and "permit"
  lines in sip.conf. The ACL check for handling SIP registrations was not
  affected.

Affects all 1.6.1 versions, fixed in 1.6.1.8
Comment 1 Fedora Update System 2009-10-27 12:41:32 EDT
asterisk-1.6.1.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/asterisk-1.6.1.8-1.fc11
Comment 2 Jeffrey C. Ollie 2009-10-27 12:45:22 EDT
For F-12:

https://fedorahosted.org/rel-eng/ticket/2778
Comment 3 Fedora Update System 2009-11-16 02:31:30 EST
asterisk-1.6.1.8-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.